Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.intercept
Interface FieldInterceptor

All Known Implementing Classes:
  AbstractFieldInterceptor, FieldInterceptorImpl, FieldInterceptorImpl

    public interface FieldInterceptor

Contract for field interception handlers.

Author:
  Steve Ebersole

Method Summary
`void` | `clearDirty()` Clear the internal dirty flag.
`void` | `dirty()` Forcefully mark the entity as being dirty.
`boolean` | `isDirty()` Is the entity considered dirty?
`boolean` | `isInitialized()` Is the entity to which we are bound completely initialized?
`boolean` | `isInitialized(String field)` The the given field initialized for the entity to which we are bound?
`void` | `setSession(SessionImplementor session)` Use to associate the entity to which we are bound to the given session.

Method Detail

### setSession

    void setSession(SessionImplementor session)

  Use to associate the entity to which we are bound to the given session.

  Parameters:
    `session` - The session to which we are now associated.

### isInitialized

    boolean isInitialized()

  Is the entity to which we are bound completely initialized?

  Returns:
    True if the entity is initialized; otherwise false.

### isInitialized

    boolean isInitialized(String field)

  The the given field initialized for the entity to which we are bound?

  Parameters:
    `field` - The name of the field to check
  Returns:
    True if the given field is initialized; otherwise false.

### dirty

    void dirty()

  Forcefully mark the entity as being dirty.

### isDirty

    boolean isDirty()

  Is the entity considered dirty?

  Returns:
    True if the entity is dirty; otherwise false.

### clearDirty

    void clearDirty()

  Clear the internal dirty flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD